maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Gier <pg...@apache.org>
Subject [ANN] Maven Enforcer Plugin 1.2 Released
Date Tue, 04 Dec 2012 03:55:27 GMT

The Maven team is pleased to announce the release of the Maven Enforcer
Plugin, version 1.2

The enforcer plugin provides goals to control certain environmental
constraints such as Maven version, JDK version and OS family along with
many more standard rules and user created rules.

http://maven.apache.org/plugins/maven-enforcer-plugin/

You should specify the version in your project's plugin configuration:

<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-enforcer-plugin</artifactId>
  <version>1.2</version>
</plugin>

Release Notes - Maven 2.x Enforcer Plugin - Version 1.2

** Bug
    * [MENFORCER-135] - Remove log.info in DependencyVersionMap.getVersion
    * [MENFORCER-139] - Regex rule example is incorrect; matching is not
described

** Improvement
    * [MENFORCER-137] - DependencyConvergence should log only as WARNING
instead of ERROR.
    * [MENFORCER-140] - DependencyConvergence: upgrade
maven-dependency-tree dependency to 2.0 for better Maven 3 support
    * [MENFORCER-141] - Show correct version of the enforcer api /
plugin in example

** New Feature
    * [MENFORCER-97] - Standard rule to check that no dependencies have
system scope
    * [MENFORCER-136] - New enforcer for environment variables
    * [MENFORCER-138] - Rule to ban all transitive dependencies

** Task
    * [MENFORCER-144] - generate every enforcer plugin site in /enforcer
and redirect previous /plugins/maven-enforcer-plugin
    * [MENFORCER-145] - use maven-plugin-tools' java 5 annotations


Enjoy,

-The Maven team




---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message